# pair_to_fmp.hh File Reference

This file provides a transformation function that computes the FMP transducer of a pair letter automaton. More...

Include dependency graph for pair_to_fmp.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | vcsn

| The main namespace of the Vaucanson library.

## Functions

Pair letter automaton to FMP transducer algorithm.
Compute the FMP transducer associated to a pair letter automaton.
template<typename S , typename T >
void | pair_to_fmp (const Element< S, T > &aut, typename mute_pair_to_fmp< S, T >::ret &res)
template<typename S , typename T >
mute_pair_to_fmp< S, T >::ret | pair_to_fmp (const Element< S, T > &aut)

## Detailed Description

This file provides a transformation function that computes the FMP transducer of a pair letter automaton.

Author:
  Jerome Galtier <jerome.galtier@lrde.epita.fr>

See also:
  pair_to_fmp()

Definition in file pair_to_fmp.hh.